## gnushogi 1.3.2

=== doc/Makefile ===
DISTCLEANFILES = *.info* *.ps *.html

CLEANFILES = *.log *.dvi *.aux *.dlog \
             *.cp *.cps *.fn *.ky *.pg *.toc *.tp *.vr


info:
	makeinfo gnushogi.texinfo

tex:
	texi2dvi gnushogi.texinfo

# I do some egregious hacks to get around limitations of 
# texi2html.

html:
	texi2html -split_node gnushogi.texinfo
	./make_fig1 < gnushogi_6.html > tmp.html
	mv tmp.html gnushogi_6.html
	./make_fig2 < gnushogi_14.html > tmp.html
	mv tmp.html gnushogi_14.html

view:
	xdvi gnushogi.dvi

ps:
	dvips -t letter gnushogi.dvi -o gnushogi.ps

ps2:
	dvi2ps gnushogi.dvi > gnushogi.ps

spell:
	tr '[A-Z]' '[a-z]' < gnushogi.texinfo | tr -cd '[A-Za-z0-9_ \012]' | \
	tr -s '[ ]' '\012' | sort | uniq -c | sort -nr | spell | sort | uniq

clean:
	@for file in $(CLEANFILES); \
        do if [ -f $$file ]; then rm $$file; fi; \
        done

distclean: clean
	@for file in $(DISTCLEANFILES); \
        do if [ -f $$file ]; then rm $$file; fi; \
        done

## gnushogi 1.4.1

=== win32/Makefile ===
#
# Makefile for GNU Shogi
#
# Copyright (c) 1993, 1994 Matthias Mutz
# Copyright (c) 1998, 1999 Michael Vanier and the Free Software Foundation
# Copyright (c) 2008, 2013, 2014 Yann Dirson and the Free Software Foundation
#
# GNU Shogi is based on GNU Chess
# Copyright (c) 1992 Free Software Foundation
#
# This file is part of GNU Shogi.
#
# GNU Shogi is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or (at your option)
# any later version.
#
# GNU Shogi is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Shogi; see the file COPYING.
# If not, see <http://www.gnu.org/licenses/>.
#

#
# gnushogi   is GNU shogi, for raw text, curses, or x output.
# gnuminishogi is GNU minishogi, for raw text, curses, or x output.
# pat2inc    converts pattern textfile to "pattern.inc" include file.
# sizetest   shows the memory usage of the main data structures.
#

SHELL           = /bin/sh
INSTALL         = /usr/bin/install -c
INSTALL_DATA    = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
ROOT            = ..
SRCDIR		= ../gnushogi

VPATH=$(SRCDIR)

PROGNAME=gnushogi

# Installation directory.
prefix  =   /usr/local

# Where the binaries live.
BINDIR  =   $(prefix)/bin

# Where the language description, the book, and the 
# persistent hashtable live.
LIBDIR  =   $(prefix)/lib/$(PROGNAME)

# Where the man page goes.
MANDIR  = $(prefix)/man/man6

# Where the info file goes.
INFODIR = $(prefix)/info

# For _pow external 
#LIBS    = -lm

# Display routines.
LCURSES = 


#
# C compiler and compiler options.
#

CC          = gcc
CWARNINGS   = -Wall -Wno-implicit-int -Wstrict-prototypes -ansi -pedantic
CEXTRAFLAGS = 
CFLAGS      = -g -O2 -mno-cygwin -fsigned-char -funroll-loops $(HASH) $(CEXTRAFLAGS) $(CWARNINGS) -I. -I. -I$(ROOT)
LDFLAGS     = 

# The hashfile is a record of positions seen. It is used by
# GNU Shogi to avoid making the same mistakes, a form of learning.

HASH       = -DHASHFILE=\"$(LIBDIR)/$(PROGNAME).hsh\"


# The "book" is a record of the first few moves, for playing good
# moves easily and quickly, saving time, and irritating the human
# opponent.

TEXTBOOK   = -DBOOK=\"$(LIBDIR)/$(PROGNAME).tbk\"
BINBOOK    = -DBINBOOK=\"$(LIBDIR)/$(PROGNAME).bbk\"


# The pattern file contains various opening patterns. The program tries to
# obtain such a pattern in the opening stage. Sequences of opening
# patterns may be described in order to support the correct order of moves.

PATTERNFILE=$(ROOT)/misc/$(PROGNAME).pat
PATTERN    = -DPATTERNFILE=\"$(PATTERNFILE)\"


all:
	@echo No target specified.


#
# Source files.
#

COMMONFILES = \
                globals.o      \
                init-common.o    \
                pattern-common.o

NOTCOMMONFILES = \
                attacks.o      \
                book.o         \
                commondsp.o    \
                    \
                dspwrappers.o  \
                eval.o         \
                genmove.o      \
                init.o         \
                pattern.o      \
                rawdsp.o       \
                search.o       \
                tcontrl.o      \
                util.o

GNUSHOGI_FILES  = $(COMMONFILES) $(NOTCOMMONFILES) main.o


PAT2INCFILES    = $(COMMONFILES) makepattern.o pat2inc.o


#
# Primary targets.
#

$(PROGNAME):
	$(CC) $(CFLAGS) -o $(PROGNAME) $(GNUSHOGI_FILES) $(LDFLAGS) $(LCURSES) $(LIBS)

pat2inc:
	$(CC) $(CFLAGS) -o pat2inc $(PAT2INCFILES) $(LDFLAGS) $(LCURSES) $(LIBS)

sizetest:
	$(CC) $(CFLAGS) -o sizetest sizetest.o $(LDFLAGS) $(LIBS)

profile:
	$(MAKE) -f Makefile.profile gnushogi

#
# Object files.
#

# Common files.

attacks.o: attacks.c
	$(CC) $(CFLAGS) -c $<

book.o: book.c
	$(CC) $(CFLAGS) $(TEXTBOOK) $(BINBOOK) -c $<

commondsp.o: commondsp.c
	$(CC) $(CFLAGS) -c $<

cursesdsp.o: cursesdsp.c
	$(CC) $(CFLAGS) -c $<

dspwrappers.o: dspwrappers.c
	$(CC) $(CFLAGS) -c $<

genmove.o: genmove.c
	$(CC) $(CFLAGS) -c $<

globals.o: globals.c
	$(CC) $(CFLAGS) -c $<

eval.o: eval.c
	$(CC) $(CFLAGS) -c $<

init.o: init.c
	$(CC)  $(CFLAGS) -c $<

init-common.o: init-common.c
	$(CC)  $(CFLAGS) $(LANGF) -c $<

main.o: main.c
	$(CC) $(CFLAGS) $(BINBOOK) -c $<

# To create "pattern.inc" with "pat2inc", the external
# pattern textfile must be used.

makepattern.o: makepattern.c
	$(CC) $(CFLAGS) $(PATTERN) -c $<

pattern.o: pattern.c
	$(CC)  $(CFLAGS) -c $<

pattern-common.o: pattern-common.c
	$(CC)  $(CFLAGS) -c $<

rawdsp.o: rawdsp.c
	$(CC) $(CFLAGS) -c $<

search.o: search.c
	$(CC) $(CFLAGS) -c $<

tcontrl.o: tcontrl.c
	$(CC) $(CFLAGS) -c $<

util.o: util.c
	$(CC) $(CFLAGS) -c $<


# Files specific to particular targets.

pat2inc.o: pat2inc.c
	$(CC) $(CFLAGS) -c $<

sizetest.o: sizetest.c
	$(CC) $(CFLAGS) -c $<

pattern.inc: $(PATTERNFILE) pat2inc
	./pat2inc

#
# Other targets.
#

$(PROGNAME).bbk:
	@if [ -f ./$(PROGNAME).bbk ]; then rm ./$(PROGNAME).bbk; fi
	echo quit > test
	cat $(ROOT)/misc/$(PROGNAME).tbk > _tmp_t
	cat test | ./$(PROGNAME) -R -b _tmp_t -B ./$(PROGNAME).bbk -S 8000 -P 40 3 0
	rm test _tmp_t
	@echo


#
# Installation.
#

install: $(PROGNAME)
	strip $(PROGNAME)
	$(INSTALL_PROGRAM) -d $(BINDIR)
	$(INSTALL_PROGRAM) -d $(LIBDIR)
	$(INSTALL_PROGRAM) -d $(MANDIR)
	$(INSTALL_PROGRAM) -d $(INFODIR)
	$(INSTALL_PROGRAM) $(PROGNAME) $(BINDIR)
	$(INSTALL_DATA)    $(ROOT)/doc/gnushogi.6     $(MANDIR)
	$(INSTALL_DATA)    $(ROOT)/doc/gnushogi.info* $(INFODIR)
	$(INSTALL_DATA)    $(PROGNAME).bbk $(LIBDIR)/$(PROGNAME).bbk


#
# Cleanup.
#

CLEANFILES = *.o gnushogi gnuminishogi sizetest pat2inc CLp* *.bbk

clean: 
	@for file in $(CLEANFILES); do \
	if [ -f $$file ]; then rm $$file; fi; \
	done


#
# Dependencies.
#

$(PROGNAME):   $(GNUSHOGI_FILES)
pat2inc:       $(PAT2INCFILES)
sizetest:      sizetest.o 
attacks.o:     attacks.c gnushogi.h
book.o:        book.c gnushogi.h
commondsp.o:   commondsp.c gnushogi.h
cursesdsp.o:   cursesdsp.c gnushogi.h
dspwrappers.o: dspwrappers.c gnushogi.h
genmove.o:     genmove.c gnushogi.h
globals.o:     globals.c gnushogi.h
eval.o:        eval.c eval.h gnushogi.h $(SRCDIR)/pattern.h
init.o:        init.c gnushogi.h $(SRCDIR)/pattern.h
main.o:        main.c gnushogi.h
makepattern.o: pattern.c gnushogi.h $(SRCDIR)/pattern.h
pattern.o:     pattern.c gnushogi.h $(SRCDIR)/pattern.h pattern.inc
rawdsp.o:      rawdsp.c gnushogi.h
search.o:      search.c gnushogi.h
tcontrl.o:     tcontrl.c gnushogi.h
util.o:        util.c gnushogi.h
pat2inc.o:     pat2inc.c $(SRCDIR)/pattern.h $(SRCDIR)/gnushogi.h
sizetest.o:    sizetest.c $(SRCDIR)/gnushogi.h $(SRCDIR)/eval.h
$(PROGNAME).bbk:  $(PROGNAME)

## gnushogi 1.4.2

=== doc/Makefile ===
MAINTAINERCLEANFILES = *.info*
DISTCLEANFILES = *.ps *.html
CLEANFILES = *.log *.dvi *.aux *.dlog \
             *.cp *.cps *.fn *.ky *.pg *.toc *.tp *.vr

SRCDIR = .

info:
	makeinfo $(SRCDIR)/gnushogi.texi

dvi:
	texi2dvi $(SRCDIR)/gnushogi.texi

pdf:
	texi2pdf $(SRCDIR)/gnushogi.texi

# I do some egregious hacks to get around limitations of 
# texi2html.

html:
	makeinfo --html --split=section $(SRCDIR)/gnushogi.texi

ps: dvi
	dvips -t letter gnushogi.dvi -o gnushogi.ps

ps2: dvi
	dvi2ps gnushogi.dvi > gnushogi.ps

spell:
	tr '[A-Z]' '[a-z]' < $(SRCDIR)/gnushogi.texi | tr -cd '[A-Za-z0-9_ \012]' | \
	tr -s '[ ]' '\012' | sort | uniq -c | sort -nr | spell | sort | uniq

clean:
	@for file in $(CLEANFILES); \
        do if [ -f $$file ]; then rm $$file; fi; \
        done

distclean: clean
	@for file in $(DISTCLEANFILES); \
        do if [ -f $$file ]; then rm $$file; fi; \
        done

maintainerclean: distclean
	@for file in $(MAINTAINERCLEANFILES); \
        do if [ -f $$file ]; then rm $$file; fi; \
        done

=== debian/changelog ===
gnushogi (1.4.2-6) unstable; urgency=medium

  * Fix Vcs-git field, broken in 1.4.2-5.
  * Remove usage of autotools_dev debhelper tools (lintian).

 -- Yann Dirson <dirson@debian.org>  Sun, 16 Dec 2018 22:36:56 +0100

gnushogi (1.4.2-5) unstable; urgency=medium

  * Update Vcs-* fields to point to salsa. 
  * Fix URL to Homepage.

 -- Yann Dirson <dirson@debian.org>  Sun, 12 Aug 2018 23:34:39 +0200

gnushogi (1.4.2-4) unstable; urgency=medium

  * Don't ignore failures from sub-makes (Closes: #901539)

 -- Yann Dirson <dirson@debian.org>  Sun, 12 Aug 2018 14:39:58 +0200

gnushogi (1.4.2-3) unstable; urgency=medium

  * Switch to source format 3.0 (quilt).
  * Bumped Standards-Version to 3.9.5, no change.
  * Change menu entries to use Curses mode.
  * Add "Shogi" hint to menu entries.
  * Ensure any pattern.inc is removed in "clean".

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Feb 2014 20:37:07 +0100

gnushogi (1.4.2-2) unstable; urgency=medium

  * Switch back from cdbs to dh.
  * Add Vcs control fields.

 -- Yann Dirson <dirson@debian.org>  Tue, 18 Feb 2014 00:23:22 +0100

gnushogi (1.4.2-1) unstable; urgency=medium

  * New upstream release, does not include xshogi any more.  Dropped
    buil-deps on X stuff, flex and bison.

 -- Yann Dirson <dirson@debian.org>  Mon, 17 Feb 2014 21:42:17 +0100

gnushogi (1.4.1-2) unstable; urgency=low

  * Set LIBDIR and friends at compile-time, so we look for opening book in
    the location we install it to.
  * Move opening book location into /usr/lib/games/gnushogi/.

 -- Yann Dirson <dirson@debian.org>  Thu, 06 Feb 2014 22:51:04 +0100

gnushogi (1.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Yann Dirson <dirson@debian.org>  Thu, 16 Jan 2014 21:59:11 +0100

gnushogi (1.4.1~rc1-1) unstable; urgency=low

  * New upstream prerelease.
    * No need for texi2hml any more, adjust packaging for new html filenames.
    * Fixes most "implicit declarations" caught by build log scanner.
  * Fix debian/watch to declare version=3, so version mangling works as
    expected.

 -- Yann Dirson <dirson@debian.org>  Wed, 18 Dec 2013 22:15:57 +0100

gnushogi (1.4.1~rc0-1) unstable; urgency=low

  * New upstream prerelease.
  * All patches integrated upstream, dropped.
  * Adjusted rules for building minishogi, now selectable using configure
    flag.
  * Activate --enable-xshogi (disabled by default in 1.4.0) and
    --with-curses (just to be sure).
  * No need to override paths to pattern files any more.
  * Explicitly build HTML docs, not in upstream tarball any more.
    Build-depend on texi2hml for this.
  * Update debian/watch to see prerelease snapshots.

 -- Yann Dirson <dirson@debian.org>  Wed, 04 Dec 2013 22:48:45 +0100

gnushogi (1.3.2-10) unstable; urgency=low

  * Fix mini-Shogi out-of-bounds access (H.G. Muller).
  * Add a patch to honor LDFLAGS, so ld can be told to use relro.
  * Bumped Standards-Version to 3.9.4, no change.
  * Switched to debhelper 9.

 -- Yann Dirson <dirson@debian.org>  Mon, 30 Sep 2013 00:36:48 +0200

gnushogi (1.3.2-9) unstable; urgency=low

  * Add the single new patch of interest to us that 1.4.0 brings upstream,
    fixing a buffer overflow in InputCommand.
  * Fix command for building info file (Closes: #645864)
  * Add a debian/watch to prevent the "-latest" symlink from hiding the real
    latest version.

 -- Yann Dirson <dirson@debian.org>  Tue, 15 May 2012 23:16:13 +0200

gnushogi (1.3.2-8) unstable; urgency=low

  * Fixed Homepage field in debian/control, to point to the caltech site
    which appears to be more reliable.
  * Improve package short descriptions (lintian).
  * New patch to deal with -Wformat-security (Closes: #643572):
    22-format-string.patch.
  * New set of patches to improve MiniShogi player and fix it with
    some (read) buffer overflows which surely did not make it stronger.
    Buffer overflow detected by hardening flags and induced all this work.
  * Explicitly declare source format 1.0.
  * Bumped Standards-Version to 3.9.2, no change.

 -- Yann Dirson <dirson@debian.org>  Thu, 29 Sep 2011 00:15:34 +0200

gnushogi (1.3.2-7) unstable; urgency=low

  * Reworked extended descriptions.
  * Wrapped long lines in debian/rules for clarity.
  * Build gnushogi in its own BUILD-std subdir.
  * Activate build of the gnuminishogi binary, ship it in its own package.
  * Added myself to the debian/copyright*.
  * Dropped leftover .pc/ from source package.
  * Bumped Standards-Version to 3.8.3, no change.

 -- Yann Dirson <dirson@debian.org>  Sat, 05 Sep 2009 17:52:17 +0200

gnushogi (1.3.2-6) unstable; urgency=low

  * New maintainer.
  * Switch packaging to cdbs + simple-patchsys.
  * Dropped special handling of config.*, now handled by cdbs.
  * Factorize common install options.
  * Include my fixes+minishogi patch series (do not activate minishogi
    build yet):
    * 04-errno-fix.patch - Errno mis-redifinition.
    * 03-proto-fix.patch - Fix a function prototype.
    * 05-ai-overflow.patch - Integer overflow possibly handicaping the AI.
    * 06-fix-runnaway.patch - Avoid eating 100% CPU on Ctrl-C.
    * 10-out-of-tree.patch - Allow building out of source tree
    * 11-refactor-enums.patch - Use enums.
    * 12-refactor-constants.patch - Parametrize more hardcoded contants.
    * 13-refactor-statify.patch - Statify functions when possible.
    * 14-internals-doc.patch - Document some internal APIs.
    * 20-minishogi.patch - Initial minishogi support.
    * 21-gen-patterns.patch - Generate patterns.inc at build time.
  * Adjust 21-gen-patterns.patch not to cause removal of patterns.inc,
    since that confuses the patch system at clean-time.
  * Save patterns.inc before building and resture it on clean, to avoid
    spurious diffs.
  * Build-depend on x11-utils instead of the obsolete xutils (lintian).
  * Fixed "X Windows" typo in xshogi extended description.
  * Make gnushogi suggest tagua as an alternative frontend.


=== debian/control ===
Source: gnushogi
Section: games
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends:
 debhelper (>= 9), autotools-dev, libncurses-dev, texinfo
Standards-Version: 3.9.5
Homepage: https://www.gnu.org/software/gnushogi/
Vcs-git: https://salsa.debian.org/debian/gnushogi.git
Vcs-browser: https://salsa.debian.org/debian/gnushogi

Package: gnushogi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xshogi, tagua
Description: program to play shogi, the Japanese version of chess
 Gnushogi is a computer player for Shogi (Japanese chess).
 .
 Gnushogi is a modified version of the gnuchess program. It can be
 used through xshogi, tagua, kaya, or other graphical frontends, but
 also has a simple alpha-numeric board display.

Package: gnuminishogi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: tagua
Description: program to play minishogi, a shogi variant on a 5x5 board
 Gnuminishogi is a computer player for the MiniShogi variant of shogi
 (Japanese chess).
 .
 Gnuminishogi is a modified version of the gnushogi program. It can be
 used through tagua, kaya, or other graphical frontends, but also has a
 simple alpha-numeric board display.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_BUILD_ARCH		?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH),alpha)
	CFLAGS += -O0
endif

COMMON_INSTALL_OPTS= \
	BINDIR=\$${prefix}/games \
	LIBDIR=\$${prefix}/lib/games/gnushogi \
	MANDIR=\$${prefix}/share/man/man6 \
	INFODIR=\$${prefix}/share/info

%:
	dh ${@}

override_dh_auto_configure:
	dh_auto_configure -BBUILD-std  -- --with-curses
	dh_auto_configure -BBUILD-mini -- --with-curses --enable-minishogi

override_dh_auto_build:
	dh_auto_build -BBUILD-std $(COMMON_INSTALL_OPTS)
	dh_auto_build -BBUILD-mini $(COMMON_INSTALL_OPTS)
	dh_auto_build -BBUILD-std -- -C doc info html

override_dh_auto_install:
	dh_auto_install -BBUILD-std -- $(COMMON_INSTALL_OPTS) prefix=$(CURDIR)/debian/gnushogi/usr
	install -D -m755 BUILD-mini/gnushogi/gnuminishogi \
		debian/gnuminishogi/usr/games/gnuminishogi

override_dh_auto_clean:
	dh_auto_clean -BBUILD-std
	dh_auto_clean -BBUILD-mini
	rm -f gnushogi/pattern.inc

## gnushogi 1.5~git20140725

=== debian/changelog ===
gnushogi (1.5~git20140725-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Cast time() args to time_t instead of long. (Closes: #1091258)

 -- Bastian Germann <bage@debian.org>  Mon, 20 Jan 2025 22:39:47 +0000

gnushogi (1.5~git20140725-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Allow incompatible pointer types. (Closes: #1091258)

 -- Bastian Germann <bage@debian.org>  Tue, 31 Dec 2024 15:39:32 +0000

gnushogi (1.5~git20140725-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to unstable (Closes: #1030322)

 -- Bastian Germann <bage@debian.org>  Thu, 10 Aug 2023 23:39:21 +0200

gnushogi (1.5~git20140725-2) experimental; urgency=medium

  * Update Vcs-* fields to point to salsa.

 -- Yann Dirson <dirson@debian.org>  Fri, 03 Apr 2020 19:54:19 +0200

gnushogi (1.5~git20140725-1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs URLs.

 -- Yann Dirson <dirson@debian.org>  Fri, 25 Jul 2014 22:48:28 +0200

gnushogi (1.5~git20140222-1) experimental; urgency=medium

  * New upstream release, fixing regression preventing a number of
    commands in xshogi mode to be honored, and using the new
    "engine-defined variant" xboard protocol for minishogi.

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Feb 2014 22:52:54 +0100

gnushogi (1.5~git20140217-2) experimental; urgency=medium

  * Sync with final 1.4.2-3.
  * Add menu entries for launching in XBoard.

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Feb 2014 21:25:30 +0100

gnushogi (1.5~git20140217-1) experimental; urgency=medium

  * New upstream snapshot:
    * xboard support, suggest xboard (>> 4.8~) as primary GUI,
      recommend one of xboard | tagua.
   * No need for a separate build for gnuminishogi

 -- Yann Dirson <dirson@debian.org>  Tue, 18 Feb 2014 21:24:46 +0100

gnushogi (1.4.2-7) unstable; urgency=medium

  * Fix build with gcc-10 (Closes: #957294).

 -- Yann Dirson <dirson@debian.org>  Mon, 24 Aug 2020 23:15:18 +0200

=== debian/control ===
--- 
+++ 
@@ -12,22 +12,24 @@
 Package: gnushogi
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: xshogi, tagua
+Recommends: xboard (>> 4.8~) | tagua
+Suggests: xboard (>> 4.8~), tagua, xshogi
 Description: program to play shogi, the Japanese version of chess
  Gnushogi is a computer player for Shogi (Japanese chess).
  .
  Gnushogi is a modified version of the gnuchess program. It can be
- used through xshogi, tagua, kaya, or other graphical frontends, but
- also has a simple alpha-numeric board display.
+ used through xboard, tagua, xshogi, kaya, or other graphical
+ frontends, but also has a simple alpha-numeric board display.
 
 Package: gnuminishogi
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Suggests: tagua
+Recommends: xboard (>> 4.8~) | tagua
+Suggests: xboard (>> 4.8~), tagua
 Description: program to play minishogi, a shogi variant on a 5x5 board
  Gnuminishogi is a computer player for the MiniShogi variant of shogi
  (Japanese chess).
  .
  Gnuminishogi is a modified version of the gnushogi program. It can be
- used through tagua, kaya, or other graphical frontends, but also has a
- simple alpha-numeric board display.
+ used through xboard, tagua, kaya, or other graphical frontends, but
+ also has a simple alpha-numeric board display.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DEB_BUILD_ARCH		?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_CFLAGS_MAINT_APPEND	= -Wno-error=incompatible-pointer-types

ifeq ($(DEB_BUILD_ARCH),alpha)
	CFLAGS += -O0
endif

%:
	dh ${@} -BBUILD --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --with-curses \
		--bindir=/usr/games \
		--libdir=/usr/lib/games

override_dh_auto_build:
	dh_auto_build -- all html

override_dh_install:
	dh_install --fail-missing
